--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: included
comment: 
constants: []

full_name: DataMapper::Validate
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: all_valid?
- !ruby/object:RI::MethodSummary 
  name: check_validations
- !ruby/object:RI::MethodSummary 
  name: errors
- !ruby/object:RI::MethodSummary 
  name: recursive_valid?
- !ruby/object:RI::MethodSummary 
  name: save!
- !ruby/object:RI::MethodSummary 
  name: valid?
- !ruby/object:RI::MethodSummary 
  name: valid_for_default?
- !ruby/object:RI::MethodSummary 
  name: validatable?
- !ruby/object:RI::MethodSummary 
  name: validation_association_keys
- !ruby/object:RI::MethodSummary 
  name: validation_property
- !ruby/object:RI::MethodSummary 
  name: validation_property_value
name: Validate
superclass: 
